package javax.xml.soap;

import java.util.Iterator;
import javax.activation.DataHandler;
import java.io.InputStream;

public abstract class AttachmentPart
{
    public AttachmentPart() {
    }
    
    public abstract int getSize() throws SOAPException;
    
    public abstract void clearContent();
    
    public abstract Object getContent() throws SOAPException;
    
    public abstract InputStream getRawContent() throws SOAPException;
    
    public abstract byte[] getRawContentBytes() throws SOAPException;
    
    public abstract InputStream getBase64Content() throws SOAPException;
    
    public abstract void setContent(Object p0, String p1);
    
    public abstract void setRawContent(InputStream p0, String p1) throws SOAPException;
    
    public abstract void setRawContentBytes(byte[] p0, int p1, int p2, String p3) throws SOAPException;
    
    public abstract void setBase64Content(InputStream p0, String p1) throws SOAPException;
    
    public abstract DataHandler getDataHandler() throws SOAPException;
    
    public abstract void setDataHandler(DataHandler p0);
    
    public String getContentId() {
        String[] values = this.getMimeHeader("Content-ID");
        if (values != null && values.length > 0) {
            return values[0];
        }
        return null;
    }
    
    public String getContentLocation() {
        String[] values = this.getMimeHeader("Content-Location");
        if (values != null && values.length > 0) {
            return values[0];
        }
        return null;
    }
    
    public String getContentType() {
        String[] values = this.getMimeHeader("Content-Type");
        if (values != null && values.length > 0) {
            return values[0];
        }
        return null;
    }
    
    public void setContentId(String contentId) {
        this.setMimeHeader("Content-ID", contentId);
    }
    
    public void setContentLocation(String contentLocation) {
        this.setMimeHeader("Content-Location", contentLocation);
    }
    
    public void setContentType(String contentType) {
        this.setMimeHeader("Content-Type", contentType);
    }
    
    public abstract void removeMimeHeader(String p0);
    
    public abstract void removeAllMimeHeaders();
    
    public abstract String[] getMimeHeader(String p0);
    
    public abstract void setMimeHeader(String p0, String p1);
    
    public abstract void addMimeHeader(String p0, String p1);
    
    public abstract Iterator getAllMimeHeaders();
    
    public abstract Iterator getMatchingMimeHeaders(String[] p0);
    
    public abstract Iterator getNonMatchingMimeHeaders(String[] p0);
}
